Bug 1104835 (CVE-2014-3970) - CVE-2014-3970 pulseaudio: denial of service in module-rtp-recv
Summary: CVE-2014-3970 pulseaudio: denial of service in module-rtp-recv
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2014-3970
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1108011 1108013
Blocks: 1104836
TreeView+ depends on / blocked
 
Reported: 2014-06-04 18:58 UTC by Vincent Danen
Modified: 2019-09-29 13:18 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 15:54:40 UTC


Attachments (Terms of Use)
possible patch (4.40 KB, patch)
2014-06-06 13:17 UTC, Wim Taymans
no flags Details | Diff

Description Vincent Danen 2014-06-04 18:58:13 UTC
It was reported [1],[2] that PulseAudio suffers from a remote denial of service if the module-rtp-recv module is loaded.  A remote attacker could crash this instance of PulseAudio by sending an empty UDP packet to the multicast address that module-rtp-recv is listening (due to a previous SAP/SDP announcement).  The problematic code is in the pa_rtp_recv() function [3], when it handles the results of the FIONREAD ioctl.

The problem has existed in PulseAudio since 2006-04-16 (git commit f1ddf0523, so probably around 0.8.1).

A potential patch has been submitted upstream [4] but has not yet been accepted.

[1] http://lists.freedesktop.org/archives/pulseaudio-discuss/2014-May/020740.html
[2] http://openwall.com/lists/oss-security/2014/06/04/8
[3] http://cgit.freedesktop.org/pulseaudio/pulseaudio/tree/src/modules/rtp/rtp.c#n185
[4] http://lists.freedesktop.org/archives/pulseaudio-discuss/2014-May/020741.html

Comment 1 Wim Taymans 2014-06-06 13:17:17 UTC
Created attachment 902932 [details]
possible patch

I have attached a patch, I would update the package myself but I'm still waiting for write access to the git repository.

Comment 2 Wim Taymans 2014-06-06 13:20:47 UTC
.. for Fedora, I forgot to mention.

Comment 4 Stefan Cornelius 2014-06-11 09:55:16 UTC
Created pulseaudio tracking bugs for this issue:

Affects: fedora-all [bug 1108011]

Comment 5 Stefan Cornelius 2014-06-11 09:56:08 UTC
Created pulseaudio tracking bugs for this issue:

Affects: epel-5 [bug 1108013]

Comment 7 Fedora Update System 2014-07-26 00:09:56 UTC
qemu-1.6.2-7.fc20, java-1.7.0-openjdk-1.7.0.65-2.5.1.3.fc20, qt-4.8.6-9.fc20.1, qt5-qtmultimedia-5.3.1-1.fc20.1, gnome-shell-3.10.4-7.fc20, gnome-settings-daemon-3.10.3-2.fc20, control-center-3.10.3-2.fc20, empathy-3.10.3-2.fc20, gstreamer1-plugins-good-1.2.4-2.fc20, speech-dispatcher-0.8-9.fc20, spice-gtk-0.23-3.fc20, sphinxtrain-1.0.8-13.fc20, guacamole-server-0.8.4-3.fc20, audacious-plugins-3.4.3-2.fc20, paprefs-0.9.10-7.fc20, fldigi-3.21.83-2.fc20, qmmp-0.7.7-1.fc20.1, mumble-1.2.6-1.fc20.1, libmikmod-3.3.6-3.fc20, minimodem-0.19-3.fc20, sidplayfp-1.2.0-2.fc20, xmp-4.0.7-2.fc20, gqrx-2.2.0-6.fc20, cinnamon-settings-daemon-2.2.4-2.fc20, cinnamon-control-center-2.2.10-1.fc20.1, cinnamon-2.2.14-5.fc20, phonon-4.7.2-1.fc20.1, qt-mobility-1.2.2-0.16.20140317git169da60c.fc20, fluidsynth-1.1.6-4.fc20, ffgtk-0.8.6-7.fc20, pulseaudio-5.0-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Vincent Danen 2015-08-22 15:54:27 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.